.TH aa-exec-click: "1" "" "March 2014" "March 2014"

.SH NAME
aa\-exec\-click \- program for executing click packages under confinement
.PP
.SH DESCRIPTION
This program is used to execute click package under AppArmor confinement. It is
a thin wrapper around the \fBaa\-exec\fR command which sets up the environment
that is needed to run a click application under confinement.

.SH USAGE
.TP
aa\-exec\-click -p <PROFILE NAME> [ \-x ] [aa\-exec options] -- COMMAND

.SH OPTIONS
.TP
\fB\-h\fR
show program's help
.TP
\fB\-p\fR PROFILE NAME
AppArmor profile the application should run under
.TP
\fB\-x\fR
Force running application under X. Click packages are typically considered
untrusted and are usually required to run under confinement. At this time,
running untrusted click applications under X is not considered safe because of
limitations in the X protocol. By default, aa\-exec\-click will refuse to
launch applications if they are running under X.

.SH SEE ALSO
.PP
\fBaa\-exec\fR(8), \fBapparmor\fR(7)
